Utopia PaymentsDocs
Products

Create a product

POST
/products

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Header Parameters

Idempotency-Key?string

Retrying with the same key returns the first response instead of creating a duplicate.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/products" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "price": 0,    "currency": "AED"  }'
{  "object": "product",  "product_id": "pdt_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "name": "string",  "description": "string",  "price": 0,  "currency": "AED",  "billing": "one_time",  "billing_interval": "day",  "interval_count": 1,  "status": "active",  "metadata": {    "property1": "string",    "property2": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}